<script lang="ts">
	export let src;
	export let alt;

	let width;
	[alt, width = '20rem'] = alt.split('|');
</script>

<img {src} style="width:{width}; max-width:100%; margin:auto; display:block" {alt} />
